package com.example.readraw_f19

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Button
import android.widget.Toast
import android.widget.TextView
import java.nio.charset.Charset

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val btnShow = findViewById<Button>(R.id.btnShow)
        val tvSonnet = findViewById<TextView>(R.id.txtSonnet)

        btnShow.setOnClickListener{
            // http://zetcode.com/kotlin/readfile/
            val input_stream = baseContext.resources.openRawResource(R.raw.sonnet_18)
            var sonnet_text = input_stream.readBytes().toString(Charset.defaultCharset())
            tvSonnet.text = sonnet_text

            /*
            // translated to kotlin from Java approach found at
            // https://stackoverflow.com/questions/6420293/reading-android-raw-text-file
            // Java demands you to be more careful hence the try-catch
            try {
                val input_stream = baseContext.resources.openRawResource(R.raw.sonnet_18)
                val buffer = ByteArray(input_stream.available())
                while (input_stream.read(buffer) != -1);
                val sonnet_text = String(buffer)
                tvSonnet.text = sonnet_text
            } catch (e: Exception) {
                Toast.makeText(baseContext, "Problem reading file ", Toast.LENGTH_LONG).show()
            }
            */
        } //end setOnClickListener
    } //end onCreate
} //end MainActivity class